/* fonts*/

@import url('https://fonts.googleapis.com/css2?family=Anton&family=Inter:wght@100..900&display=swap');

/*colors*/

:root {
    --purple: hsl(255, 99%, 62%);
    --light_blue: hsl(190, 74%, 70%, 100%);
    --orange: hsl(24, 100%, 64%);
    --white: #FFFFFF;
    --black: #000;
}

/*general styles*/


h2 {
    font-size: 3em;
}

h3 {
    font-size: 2.1em;
}

h2,
h3 {
    color: var(--white);
    font-family: Anton, serif;
    font-weight: 250;
    text-transform: uppercase;
    margin: 1em 0;
}

p {
    display: block;
    font-size: 1em;
}

@media (orientation: portrait) {
    p {
        font-size: 1.7em;
    }
}

body {
    margin: 0;
    font-family: Inter, sans-serif;
    font-weight: 550;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


body.modal-open {
    overflow: hidden;
}


main {
    min-height: 80vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--black);
    overflow: hidden;
    background-image: url("/assets/the_spine.png");
    background-repeat: no-repeat;
    background-position-x: 115%;
    background-position-y: -10%;
    background-size: 60vh;
}

section {
    width: 100%
}

button {
    font-weight: 550;
}

/* Navbar */

header {
    position: fixed;
    width: 100%;
    z-index: 1000;

}

nav {
    display: flex;
    justify-content: space-between;
    background-color: var(--black);
    color: #FFF;
    clip-path: polygon(
            0 0, /* left top */
            100% 0%, /* right top */
            100% 80%, /* right bottom */
            0 100% /* left bottom */
    );
}

.logo {
    background-image: url("../assets/logo.png"); /*Hier kun je evt het logo aanpassen*/
    background-repeat: no-repeat;
    background-size: contain;
    margin: 15px;
    background-color: transparent;
    border: 0;
    cursor: pointer;
    width: 30%;
    height: 50px;
}

@media (orientation: portrait) {
    .logo {
        height: 100px;
    }
    .menu {
        font-size: 1.7em;
    }
}

.menu {
    margin: 15px 20px 0 0;
    cursor: default;
    align-self: flex-start;
}

.menu button {
    border: 0;
    background-color: transparent;
    color: var(--white);
    font-size: 1em;
    padding: 0;
    margin-left: 2em;
    cursor: pointer;
}

.menu button:hover {
    color: var(--orange);
}

/* Sections */

/*Home section, de showreel */

#home { /* Dit zorgt ervoor dat de video goed uitgelijnd is met de navbar */
    padding-top: 3.5em;
    margin-bottom: 5em;
}

.video {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-content: center;
    justify-content: center;
}

.video_inner {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

video {
    height: calc(100vh - 2.8em);
    max-width: 100vw;
}

@media only screen and (orientation: portrait) {
    video {
        width: 100%;
        height: auto;
    }
}

/* Einde van showreel*/

.picture-element {
    width: 100%;
    height: 300px;
    background-image: url("../assets/brug.jpg"); /*Hier kun je de foto van de gele brug evt aanpassen*/
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: bottom;
    background-attachment: fixed;
    clip-path: polygon(
            0 0, /* left top */
            100% 0, /* right top */
            100% 100%, /* right bottom */
            0 90% /* left bottom */
    );
}


/* portfolio section*/

.portfolio-container {
    display: flex;
    flex-direction: column;
    width: 80%;
    row-gap: 10px;
    flex-wrap: wrap;
    margin: 0 auto 4em;

}

.portfolio h2 {
    margin-left: 10%;
}

.column {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    column-gap: 10px;
}

@media only screen and (orientation: portrait) { /* Change to column layout on smaller screens */
    .column {
        flex-direction: column;
        row-gap: 10px;
    }
}

.portfolio-image {
    max-width: 100%;
    height: auto;
}


.image-container {
    position: relative;
    display: inline-block; /* Ensures the container takes the size of the image */
    cursor: pointer;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 0; /* Hide by default */
    transition: opacity 0.3s ease;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.image-container:hover .overlay {
    opacity: 1; /* Show on hover */
}

@media (orientation: portrait) {
    .overlay {
        opacity: 1;
    }
}

.subtitle {
    font-size: inherit;
    color: #ffffff;
}


.modal {
    display: none;
    position: fixed;
    z-index: 1001;
    padding-top: 80px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-height: 80vh;
    overflow-y: auto;
    max-width: 60vw;
    color: var(--white);
    /* Hide scrollbar for WebKit browsers */
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* Internet Explorer 10+ */
}

.modal-content::-webkit-scrollbar {
    width: 0;
    height: 0;
    display: none; /* Optional: hides scrollbar but not the scroll-ability */
}


.modal_video {
    width: 100%;   /* Make video take the full width of modal content */
    max-width: 100%;  /* Ensure video doesn't exceed modal content width */
    height: auto;   /* Maintain aspect ratio of the video */
}

.close {
    position: absolute;
    top: 15px;
    right: 35px;
    color: var(--white);
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: var(--orange);
    text-decoration: none;
    cursor: pointer;
}

/* Einde portfolio gedeelte*/

.picture-element2 {
    width: 100%;
    height: 300px;
    background-image: url("../assets/taxicab.jpg"); /* Hier kun je de foto van de taxi evt aanpassen*/
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: center;
    background-attachment: fixed;
    clip-path: polygon(
            0 0, /* left top */
            100% 10%, /* right top */
            100% 100%, /* right bottom */
            0 100% /* left bottom */
    );
}

/*About section*/

.about {
    display: flex;
    flex-direction: column;
    background-image: url("/assets/the_bottom.png"); /*Dit is de oranje wave aan de onderkant vd pagina*/
    background-size: 90vw;
    background-repeat: no-repeat;
    background-position-y: 100%;
    background-position-x: -60%;
    padding-bottom: 10rem;

}

.about h2 {
    margin-left: 10%;
}

article p  {
    color: var(--white);
}

article h3 {
    color: var(--white);
}

article {
    width: 60%;
    clip-path: polygon(
            0 0, /* left top */
            100% 10%, /* right top */
            100% 100%, /* right bottom */
            0 100% /* left bottom */
    );
    padding: 2em;
    align-items: flex-end;
    margin: 0 auto;
}

@media (orientation: portrait) {
    article {
        width: 80%;
        padding: 2em;
    }
}


article:nth-child(even) {
    clip-path: polygon(
            0% 0%,
            100% 5%,
            100% 100%,
            0% 95%
    );
    align-self: flex-start;
    background-color: var(--orange);
    text-align: right;
}

article:nth-child(even) p {
    color: var(--black);
}

article:nth-child(even) h3 {
    color: var(--black);
}

.bio {
    display: flex;
    flex-direction: row;
    width: 80%;
    background-color: var(--orange);
    margin: 0 auto;
    clip-path: polygon(
            0% 0%, /*left top*/
            100% 5%, /*right top*/
            100% 100%, /*right bottom*/
            0% 95% /*left bottom*/
    );
}

@media only screen and (orientation: portrait) {
    .bio {
        flex-direction: column;
        width: 100%;
        clip-path: polygon(
                0% 0%,
                100% 0%,
                100% 100%,
                0% 95%
        );
    }
}

.bio-image {
    flex-grow: 0;
    max-width: 40%;
    object-fit: cover;

}
@media only screen and (orientation: portrait) {
    .bio-image {
        flex-grow: 1;
        max-width: 100%;
        padding: 2em;
        clip-path: polygon(
            0% 0%,
            100% 0%,
            100% 100%,
            0% 95%
    );
    }
}


.bio p {
    flex-grow: 2;
    padding: 2em;
}

@media only screen and (orientation: portrait) {
    .bio p {
        padding: 0 2em 6em;
    }

}


.work_img_container {
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
}

.work_img_container img {
    max-width: 32%;
    height: auto;
    box-sizing: border-box;
    cursor: pointer;
}

@media (orientation: portrait) {
    .work_img_container {
        flex-direction: column;
        row-gap: 10px;
    }

    .work_img_container img {
        max-width: 100%;
    }
}

.work {
    padding-bottom: 10em;
}


/*styling voor de foto's en modals onderaan de bio*/

.gallery-modal {
    display: none;
    position: fixed;
    z-index: 1001;
    padding: 20px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
}

.gallery-modal-content {
    position: relative;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.gallery-modal-content img {
    max-width: 80vw; /* 80% of the viewport width */
    max-height: 80vh; /* 80% of the viewport height */
    object-fit: contain; /* Maintain aspect ratio */
}

.gallery-close {
    position: absolute;
    top: 0;
    right: 50px;
    color: var(--white);
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.gallery-close:hover,
.gallery-close:focus {
    color: var(--orange);
    text-decoration: none;
    cursor: pointer;
}



/*form section*/

.contact h2 {
    color: var(--black);
    margin-left: 10%;
}

@media (orientation: portrait) {
    .contact h2 {
        margin-top: 3em;
    }
}

.contact p {
    margin-left: 10%;
    display: block;
    width: 60%;
}


.contact {
    margin-top: -6em;
    background-color: var(--orange);
    clip-path: polygon(
            0 0, /* left top */
            100% 10%, /* right top */
            100% 95%, /* right bottom */
            0 100% /* left bottom */
    );
}

/* Contactformulier begint hier */

form {
    display: flex;
    width: 80%;
    margin: 0 auto;
    border: none;
    font-family: Inter, sans-serif;
}

form ul {
    list-style: none;
    padding: 0;
    width: 100%;
}

form li {
    margin-bottom: 15px;
}

form textarea {
    width: 100%;
    min-height: 200px;
    box-sizing: border-box;
    font-family: Inter, sans-serif;
    padding: 10px;
}

.input-fields {
    min-width: 200px;

}

.input-fields input {
    height: 30px;
    padding: 10px;
}

form button {
    padding: 15px;
    font-size: 16px;
    background-color: var(--black);
    color: white;
    border: none;
    cursor: pointer;
    clip-path: polygon(
            0 0, /* left top */
            100% 15%, /* right top */
            100% 100%, /* right bottom */
            0 100% /* left bottom */
    );
}

form .button {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 3em;
}

/* Footer begint hier*/

footer {
    background-color: var(--black);
    height: 20%;
    width: 100%;
    display: flex;
    flex-direction: row;
}

footer p {
    color: var(--white);
    padding: 0;
    margin: 0;
    font-family: Anton, sans-serif;
    cursor: default;

}

.address_box {
    width: 50%;
    margin: 1.8em 0 1.8em;
    border-right: 2px solid var(--white);
    padding-right: 1.8em;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;

}

footer a {
    font-family: Anton, sans-serif;
    color: var(--white);
    text-decoration: none;
    cursor: pointer;

}

footer a:hover {
    color: var(--orange);
}

.tags_box {
    margin: 1.8em;
}

.tags {
    height: 5em;
}



